docs

# ReplyKeyboardBuilder

class ReplyKeyboardBuilder : MatrixBuilder < KeyboardButton >
Content copied to clipboard

Core DSL part of Keyboard DSL. Can accept only KeyboardButton and returns ready to use ReplyKeyboardMarkup via build method

## See also

replyKeyboard
ReplyKeyboardBuilder.row
dev.inmo.tgbotapi.extensions.utils.types.buttons.ReplyKeyboardRowBuilder

## Constructors

ReplyKeyboardBuilder
Link copied to clipboard
fun ReplyKeyboardBuilder ()
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add (t: List < KeyboardButton >): Boolean
Content copied to clipboard
build
Link copied to clipboard
fun build ( resizeKeyboard: Boolean ? = null, oneTimeKeyboard: Boolean ? = null, inputFieldPlaceholder: String ? = null, selective: Boolean ? = null): ReplyKeyboardMarkup
Content copied to clipboard

Creates InlineKeyboardMarkup using internal matrix

plus
Link copied to clipboard
operator fun plus (t: List < KeyboardButton >): Boolean
Content copied to clipboard
unaryPlus
Link copied to clipboard
operator fun KeyboardButton . unaryPlus (): Boolean
Content copied to clipboard

## Properties

matrix
Link copied to clipboard
val matrix : Matrix < KeyboardButton >
Content copied to clipboard

## Extensions

row
Link copied to clipboard
inline fun ReplyKeyboardBuilder . row (block: ReplyKeyboardRowBuilder .() -> Unit ): Boolean
Content copied to clipboard

Creates an ReplyKeyboardRowBuilder and apply with this builder